/* ========================================
   RESET & BASE
======================================== */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html,
body {
  height: 100%;
  font-size: 100%;
  font-family: "Montserrat", sans-serif;
  scroll-behavior: smooth;
  scroll-padding-top: 62px;

}

img,
svg {
  max-width: 100%;
  height: auto;
}

img,
svg,
source {
  display: block;
}

input,
button,
textarea,
select {
  font: inherit;
}

a {
  text-decoration: none;
  color: inherit;
}

ul,
ol {
  list-style: none;
}

/* ========================================
   UTILITIES
======================================== */
.container {
  max-width: 1440px;
  height: 100%;
  margin: auto;
  padding-inline: 24px;
}

.btn-top {
  position: fixed;
  bottom: 30px;
  right: 30px;
  z-index: 999;

  display: flex;
  align-items: center;
  justify-content: center;

  width: 75px;
  height: 75px;
  border-radius: 54px;

  background: linear-gradient(
    180deg,
    rgba(37, 190, 241, 0.45) 0%,
    rgba(7, 86, 160, 0.45) 100%
  );
  box-shadow: 0 5px 12px rgba(0, 0, 0, 0.15);
  backdrop-filter: blur(6.5px);

  border: 1px solid #56afe1;

  overflow: hidden;
  cursor: pointer;
}

.btn-top img {
  position: relative;
  z-index: 1;
}

@media (min-width: 1200px) {
  .container {
    padding-inline: 120px;
  }
}

@media (max-width: 767px) {
  .container {
    padding-inline: 16px !important;
  }
}

/* ========================================
   BUTTONS
======================================== */
.btn {
  border-radius: 54px;
  display: flex;
  width: fit-content;
  padding: 16px 24px;
  align-items: center;
  gap: 12px;
  color: #fff;
  font-size: 14px;
  font-weight: 500;
  text-transform: uppercase;
  margin-top: 12px;
  transition: border-color 0.2s;
  cursor: pointer;
  border: none;
}

.btn.btn-primary {
  border: 1px solid #34a5df;
  background: linear-gradient(81deg, #004b71 -43.34%, #008fd7 112.08%);
}

.btn.btn-primary:hover {
  border: 1px solid rgba(52, 165, 223, 0.8);
  background: linear-gradient(81deg, #004b71 -210.53%, #008fd7 111.91%);
}

.btn.btn-primary:active {
  border: 1px solid #34a5df;
  background: #0094d9;
}

.btn-mobile {
  display: none;
}

/* ========================================
   HEADER
======================================== */
header {
  border-radius: 0 0 40px 40px;
  background: linear-gradient(
    75deg,
    rgba(255, 255, 255, 0.72) -42.36%,
    rgba(255, 255, 255, 0.72) 435.17%
  );
  box-shadow: 0 4px 72px 0 rgba(0, 0, 0, 0.15);
  backdrop-filter: blur(22px);
  padding: 20px 0;
  position: fixed;
  top: 0;
  width: 100%;
  z-index: 999;
}

header .container {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

header nav ul {
  display: flex;
  align-items: center;
  gap: 12px;
}

header nav ul li a {
  color: #394956;
  font-size: 16px;
  font-weight: 600;
  padding: 12px 20px;
}

.mobile-menu {
  display: none;
}

/* ========================================
   BANNER
======================================== */
.banner {
  position: relative;
  width: 100%;
  height: 620px;
  overflow: hidden;
  z-index: 0;
}

.banner > picture,
.banner picture > img {
  position: absolute;
  inset: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.banner .container {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: center;
  position: relative;
  z-index: 1;
}

.banner .banner-text {
  max-width: 450px;
  display: flex;
  flex-direction: column;
}

.banner h1 {
  color: #50606f;
  font-size: 42px;
  font-weight: 400;
  line-height: 48px;
}

.banner h1 span {
  display: block;
  color: #057cb8;
  font-weight: 800;
  margin-bottom: 24px;
}

.banner-text p {
  color: #50606f;
  font-size: 18px;
  line-height: 1.5;
  margin-bottom: 40px;
}

/* ========================================
   SECTIONS
======================================== */
.section-tag {
  font-size: 16px;
  font-weight: 700;
  text-transform: uppercase;
  margin-bottom: 4px;
}

.section-title {
  color: #50606f;
  font-size: 48px;
  font-weight: 400;
  line-height: 52px;
  flex: 1;
  text-wrap: balance;
}

.section-title span {
  font-weight: 800;
}

.section-subtitle {
  color: #50606f;
  font-size: 18px;
  font-weight: 500;
  line-height: 1.5;
  flex: 1;
}

.section-header a {
  margin-top: 40px;
}

.flex-container {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 88px;
}

.flex-container > * {
  flex: 1;
  min-width: 0;
}

.text-blue .section-tag,
.text-blue .section-title {
  color: #057cb8;
}

.text-light .section-tag,
.text-light .section-title,
.text-light .section-subtitle {
  color: #fff;
}

/* Services */
.services {
  padding: 72px 0;
}

.services .section-header {
  display: flex;
  align-items: center;
  gap: 24px;
  margin-bottom: 56px;
}

.services .btn.btn-primary {
  margin: 28px auto 0;
}

/* Services Splide */

.splide__list {
  padding-bottom: 32px !important;
}

.services-splide .splide__slide.slide-item a {
  display: flex;
  padding: 32px;
  flex-direction: column;
  justify-content: space-between;
  align-items: flex-start;
  border-radius: 24px;
  background: #ecf1f9;
  height: 372px;
  border: 1px solid transparent;
  transition: all 0.2s ease;
}

.services-splide .splide__slide.slide-item:hover a {
  border: 1px solid #c0e4f6;
  background: radial-gradient(
    160.66% 169.02% at 74.19% 117.16%,
    #fff 0%,
    #ecf1f9 100%
  );
  box-shadow: 0 12px 16px 0 rgba(5, 28, 39, 0.08);
}

.services-splide li img {
  width: 64px;
}

.services-splide h3 {
  color: #057cb8;
  font-size: 24px;
  font-weight: 700;
  margin-bottom: 8px;
}

.services-splide p {
  color: #50606f;
  font-size: 18px;
  font-weight: 500;
  line-height: 1.5;
}

.services-splide a {
  color: #057cb8;
  font-size: 16px;
}

/* Sales Section */
.sales-section {
  background-color: #ecf1f9;
  background-image: url("/assets/images/lp/bg-leads.webp");
  background-repeat: no-repeat;
  background-position: -100px 550px;
  position: relative;
  padding-bottom: 0;
}

@media (min-width: 1440px) {
  .sales-section {
    background-position: left 550px;
  }
}

/* Documents */
.documents {
  padding: 78px 0;
}

.documents-animation {
  position: relative;
  width: 100%;
  max-width: 600px;
  aspect-ratio: 3 / 2;
  display: flex;
  align-items: center;
  justify-content: center;
}

.documents-notebook {
  position: relative;
  z-index: 1;
  width: 83.33%;
  height: auto;
}

.documents-icon {
  position: absolute;
  width: 9.33%;
  z-index: 2;
}

.documents-icon-xls {
  top: 14%;
  left: 16.33%;
}

.documents-icon-pdf {
  top: 3%;
  left: 21.33%;
}

.documents-icon-docx {
  bottom: 35%;
  right: 12.83%;
}

.documents-icon-ppt {
  bottom: 21.5%;
  left: 15.33%;
}
/* Leads */
.leads {
  position: relative;
  overflow: visible;
  padding: 78px 0 0;
}

.leads .container {
  overflow: visible;
}

.leads .flex-container {
  overflow: visible;
}

.leads .section-header {
  margin-bottom: 88px;
}

.image-leads-wrapper {
  flex: 1;
  position: relative;
  min-height: 500px;
}

.image-leads-wrapper img {
  position: absolute;
  left: -120px;
  top: 50%;
  transform: translateY(-60%);
  width: calc(100% + 120px);
  max-width: 700px;
}

.leads .section-header {
  flex: 1;
  z-index: 2;
}

/* Enablement Section */
.enablement-section {
  border-radius: 56px 56px 0 0;
  background: #057cb8;
  padding: 88px 0 0;
  margin-top: -50px;
  position: relative;
}

/* Training */

.training {
  padding-bottom: 64px;
}

.training-animation {
  position: relative;
  min-height: 420px;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;
}

.training-animation .reveal-item:nth-child(1) {
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  margin-left: -120px;
  margin-top: -120px;
}

.training-animation .reveal-item:nth-child(2) {
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
}

.training-animation .reveal-item:nth-child(3) {
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  margin-left: 120px;
  margin-top: 120px;
}

.training-animation .reveal-item {
  border-radius: 14px;
}

/* Assistant */
.assistant {
  border-radius: 56px 56px 0 0;
  background: radial-gradient(
    157.57% 88.69% at 60% 112.11%,
    #008fd7 0%,
    #004b71 100%
  );
  padding: 0;
  margin-top: -50px;
  position: relative;
  height: 688px;
}

.image-assistant {
  position: relative;
  height: 100%;
}

.image-assistant .chat {
  position: absolute;
  width: 300px;
  bottom: -32px;
  right: 0;
  border-radius: 24px;
}
.image-assistant .pixie {
  position: absolute;
  bottom: 0;
  z-index: 2;
  left: -32px;
  width: 400px;
  height: auto;
}

/* Events */
.events {
  background: radial-gradient(
    98.02% 98.86% at 7.99% 117.56%,
    #008fd7 0%,
    #004b71 100%
  );
  padding: 60px 0;
  position: relative;
}

.events-animation {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
}

.events-animation .notif__stack {
  position: relative;
  width: 470px;
  height: 546px;
}

/* Benefits */
.benefits {
  background: #d8e5ee;
  padding: 88px 0;
}

.benefits .container {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 40px;
}

.benefits .section-title {
  color: #057cb8;
  text-align: center;
}

.benefits-animation {
  border-radius: 24px;
  background: #ecf4f9;
  width: 100%;
}

.benefits-list {
  list-style: none;
  padding: 0;
  margin: 0;
  position: relative;
  width: 100%;
  border-radius: 24px;
  overflow: hidden;
}

.benefit-item {
  position: relative;
  display: flex;
  align-items: center;
  gap: 24px;
  padding: 28px 40px;
  min-height: 96px;
  background-color: rgba(216, 229, 238, 0.5);
}

.benefit-rail {
  position: relative;
  width: 32px;
  height: 100%;
  flex: 0 0 32px;
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 5;
}

.benefit-check {
  width: 24px;
  height: 24px;
  display: block;
  position: relative;
  z-index: 15;
}

.benefit-text {
  color: #36414a;
  font-size: 20px;
  font-weight: 700;
  position: relative;
  z-index: 3;
}

.benefit-line-connector {
  position: absolute;
  left: 54px;
  width: 4px;
  background: rgba(5, 124, 184, 0.2);
  z-index: 50;
  pointer-events: none;
}

/* ========================================
   CONTACT
======================================== */
.contact {
  background: url("/assets/images/lp/bg-contact.webp");
  background-repeat: no-repeat;
  background-size: cover;
  padding: 88px 0;
}

.contact .container {
  justify-content: space-between;
}

.form-card h2 {
  color: #067cb8;
  font-size: 40px;
  font-weight: 400;
  line-height: 1;
  margin-bottom: 24px;
}

.form-card h2 span {
  display: block;
  font-weight: 800;
}

.form-card form {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 12px;
  max-width: 360px;
}

.form-card form .btn {
  width: 238px;
  justify-content: center;
}

.input-container,
.textarea-container {
  position: relative;
  width: 100%;
}

.textarea-container {
  height: 120px;
}

.input-container input,
.input-container input:focus,
.textarea-container textarea {
  width: 100%;
  padding: 28px 12px 12px;
  font-size: 14px;
  color: #000;
  outline: none;
  height: 56px;
  border-radius: 8px;
  background: #fff;
  border: 1px solid #ccdae5;
}

.textarea-container textarea {
  height: 100%;
}

.textarea-container textarea::placeholder {
  color: #0000004d;
}

.input-container input.error {
  border: 1px solid #d34051 !important;
  background: #f8e2e3;
}

.input-container input.error + label {
  background: #f8e2e3;
  color: rgba(163, 54, 54, 0.72);
}

.input-container .floating-label,
.textarea-container .floating-label {
  position: absolute;
  top: 18px;
  left: 12px;
  font-size: 14px;
  color: #004b71;
  pointer-events: none;
  transition: all 0.2s ease-out;
  margin: 0;
  background-color: #fff;
}

.textarea-container .floating-label {
  top: 12px;
}

.input-container input:focus + .floating-label,
.input-container input:not(:placeholder-shown) + .floating-label {
  font-size: 12px;
  top: 10px;
  left: 12px;
}

.contact .container > img {
  margin-bottom: -240px;
}

/* ========================================
   STATEMENT
======================================== */
.statement {
  background: #50606f;
  position: relative;
  padding: 88px 0;
}

.statement .container {
  display: flex;
  align-items: center;
  gap: 64px;
}

.statement .container div {
  display: flex;
  flex-direction: column;
  align-items: flex-end;
  gap: 12px;
}

.statement .container div p {
  color: #fff;
  text-align: right;
  font-size: 24px;
  font-weight: 800;
  line-height: 1.2;
}

.statement .container > p {
  color: #fff;
  font-size: 36px;
  font-weight: 400;
}

/* ========================================
   FOOTER
======================================== */
footer {
  background: #f7f9ff;
  padding: 64px 0;
}

 .footer-logo p {
    color: #272727;
	font-size: 14px;
  }

footer .wrapper {
  display: flex;
  align-items: flex-start;
  justify-content: space-between;
}

footer h2 {
  color: #29638a;
  font-size: 38px;
  margin-bottom: 40px;
}

.footer-item > p {
  font-size: 12px;
  font-weight: bold;
  margin-bottom: 16px;
}

.footer-item .footer-links {
  display: flex;
  align-items: center;
  justify-content: flex-start;
  gap: 24px;
}

.footer-item .footer-links a,
.footer-item > a {
  color: #272727;
  font-size: 12px;
  text-decoration: none;
}

.footer-links a:hover {
  color: #0094d9;
  text-decoration: underline;
}

.footer-item > a {
  margin-bottom: 16px;
  display: inline-block;
}

.footer-item.terms-item .footer-links {
	flex-direction: column;
	align-items: flex-start;
	gap: 16px;
}

.footer-item .address {
  font-weight: 400;
  font-style: normal;
  color: #272727;
  font-size: 14px;
}

.footer-logo p {
	font-size: 12px;
}

/* ========================================
   RESPONSIVE - MOBILE
======================================== */
@media (max-width: 768px) {
  /* Buttons Mobile */
  .btn-mobile {
    display: flex;
    justify-content: center;
    width: 100%;
    align-self: flex-end;
  }

  .btn-desktop {
    display: none;
  }

  /* Header Mobile */
  .desktop-menu {
    display: none;
  }

  .mobile-menu {
    display: block;
  }

  header {
    padding: 16px 24px;
  }

  header .container {
    justify-content: space-between;
    flex-direction: row-reverse;
  }

  .header-menu {
    display: flex;
    align-items: center;
    justify-content: flex-end;
    margin-left: auto;
  }

  .header .open-icon {
    position: absolute;
    left: 24px;
    top: 16px;
    cursor: pointer;
    background: none;
    border: none;
  }

  .header .close-icon {
    background: none;
    border: none;
  }

  header nav ul li a {
    font-size: 20px;
  }

  .mobile-menu-content {
    position: fixed;
    top: 0;
    left: 0;
    bottom: 0;
    z-index: 10;
    background: #dbe6ee;
    box-shadow: 0 4px 72px 0 rgba(0, 0, 0, 0.15);
    backdrop-filter: blur(22px);
    height: 100vh;
    width: 100vw;
    transition: 0.3s linear;
    transform: translate(-100%);
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
    padding: 16px;
  }

  .mobile-menu-nav {
    margin-top: 64px;
  }

  .mobile-menu-nav ul {
    display: flex;
    flex-direction: column;
    gap: 32px;
  }

  .mobile-menu-nav ul li {
    padding: 16px;
  }

  .mobile-menu .logo-mobile {
    margin-top: auto;
  }

  .show-menu {
    transform: translate(0);
  }

  /* Banner Mobile */
  .banner .container {
    padding: 120px 16px 32px;
    justify-content: space-between;
  }

  .banner .banner-text {
    max-width: 250px;
  }

  .banner h1 {
    font-size: 32px;
    line-height: 36px;
  }

  .banner-text p {
    display: none;
  }

  /* Services Mobile */
  .services {
    padding: 32px 0;
  }

  .services .section-header {
    flex-direction: column;
    margin-bottom: 24px;
  }

  .services-splide {
    margin-right: -16px;
  }

  .section-title {
    font-size: 32px;
    line-height: 36px;
  }

  .section-header a {
    width: 100%;
    justify-content: center;
  }

  .flex-container {
    flex-direction: column;
    gap: 32px;
  }

  .services .btn.btn-primary {
    margin: 64px 0 0;
    width: 100%;
    justify-content: center;
  }

  .splide__pagination {
    bottom: -32px;
  }

  .splide__pagination__page.is-active {
    background: #057cb8;
    transform: none;
  }

  /* Traning Mobile */

  .training {
    padding-bottom: 0;
  }

  /* Documents Mobile */
  .documents {
    padding: 32px 0;
  }

  .documents .flex-container {
    gap: 64px;
  }

  /* Leads Mobile */
  .leads {
    padding: 32px 0;
  }

  .leads .flex-container {
    flex-direction: column-reverse;
  }

  .image-leads-wrapper {
    min-height: auto;
    width: 100%;
  }

  .image-leads-wrapper img {
    position: relative;
    left: 0;
    top: 0;
    transform: none;
    width: 100%;
    max-width: 100%;
  }

  .leads .section-header {
    width: 100%;
  }

  .sales-section {
    padding-bottom: 0;
    background-size: 200px;
    background-position: left 112%;
  }

  .leads .flex-container,
  .portfolio .flex-container,
  .events .flex-container {
    flex-direction: column-reverse;
  }

  /* Enablement / Assistant Mobile */
  .enablement-section,
  .assistant {
    padding: 32px 0;
    border-radius: 24px 24px 0 0;
  }

  .assistant {
    padding-bottom: 0;
    height: 100%;
  }

  .image-assistant {
    width: 100%;
    max-width: 400px;
    min-height: 450px;
  }

  .image-assistant .chat {
    width: 200px;
    bottom: 16px;
  }

  .image-assistant .pixie {
    width: 293px;
  }

  /* Events Mobile */
  .events {
    padding: 32px 0;
  }

  .events-animation {
    width: 100%;
  }

  .events-animation .notif__stack {
    width: 340px !important;
    height: 395px !important;
  }

  /* Benefits Mobile */
  .benefits {
    padding: 32px 0;
  }

  .benefits .section-title {
    text-align: left;
  }

  .benefit-item {
    padding: 20px;
    gap: 14px;
    min-height: 58px;
  }

  .benefit-text {
    font-size: 14px;
  }

  /* Contact Mobile */
  .contact {
    background-color: #d8e5ee;
    background-image: url("/assets/images/lp/bg-contact-mobile.webp");
    background-size: contain;
    background-position: bottom;
    padding: 64px 0;
  }
  .form-card {
    width: 100%;
  }

  .contact .container > img {
    margin-bottom: -110px;
  }

  /* Statement Mobile */
  .statement {
    padding: 32px 0;
  }

  .statement .container {
    flex-direction: column;
    gap: 16px;
  }

  .statement .container div {
    align-items: flex-start;
    justify-content: flex-start;
    width: 100%;
  }

  .statement .container > p {
    font-size: 20px;
  }

  .statement .container div p {
    text-align: left;
  }

  /* Footer Mobile */
  footer {
    padding: 32px 0;
  }

  footer .wrapper {
    flex-direction: column;
  }

  footer h2 {
    font-size: 28px;
  }

  .footer-logo {
    margin-bottom: 36px;
  }

  .footer-item > p {
    margin-bottom: 8px;
  }

  .footer-item.terms-item {
	gap: 8px;
	margin: 16px 0;
  }
}
/* ========================================
   RESPONSIVE - TABLET (768px - 1200px)
======================================== */
@media (min-width: 769px) and (max-width: 1200px) {
  /* Flex Container - Gap menor */
  .flex-container {
    gap: 40px;
  }

  /* Documents Tablet */
  .documents-animation {
    max-width: 420px;
  }

  /* Leads - Margem ajustada */
  .leads .flex-container > img {
    margin-left: -80px;
    max-width: calc(50% + 80px);
    width: calc(50% + 80px);
    flex: 0 0 calc(50% + 80px);
  }

  /* Training - Cards bem menores e mais próximos */

  .training-animation {
    min-height: 320px;
  }

  .training-animation .reveal-item:nth-child(1) {
    margin-left: -75px;
    margin-top: -75px;
  }

  .training-animation .reveal-item:nth-child(2) {
    margin-left: 0;
    margin-top: 0;
  }

  .training-animation .reveal-item:nth-child(3) {
    margin-left: 75px;
    margin-top: 75px;
  }

  .training-animation .reveal-item {
    max-width: 240px;
  }

  /* Portfolio - Imagem menor */
  .portfolio .flex-container > img {
    max-width: 90%;
  }

  /* Assistant - Imagem menor */
  .assistant .flex-container > img {
    max-width: 90%;
  }

  /* Benefits - Padding ajustado */
  .benefit-item {
    padding: 22px 28px;
    min-height: 75px;
  }

  /* Contact - Imagem menor */
  .contact .container > img {
    max-width: 380px;
    margin-bottom: -160px;
  }

  .form-card form {
    max-width: 340px;
  }

  .btn-top img {
    width: 14px;
  }
}
